Skip to main content
GET
/
retention
Get Retention Analysis
curl --request GET \
  --url https://ebn.telemetree.io/public-api/retention \
  --header 'x-api-key: <api-key>'
import requests

url = "https://ebn.telemetree.io/public-api/retention"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://ebn.telemetree.io/public-api/retention', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "cohorts": {},
      "retentionMatrix": [
        [
          "<string>"
        ]
      ],
      "combinedRetention": [
        123
      ],
      "totalUsers": 123,
      "groupBy": "<string>",
      "groups": [
        {}
      ]
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

x-api-key
string
header
required

Your API Key (Dashboard->Settings)

Query Parameters

group_by
string | null
start
string
required

Start date in YYYYMMDD format

end
string
required

End date in YYYYMMDD format

filters
string | null

Response

Successful Response

data
RetentionDataMain · object[]
required

The retention data